## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/imagebase.h File Reference

Base class for iImage implementations. More...

`#include "csextern.h"`
`#include "csutil/databuf.h"`
`#include "csutil/scf_implementation.h"`
`#include "igraphic/image.h"`

Go to the source code of this file.

## Classes

class | csImageBase
| Base class for iImage implementations. More...

## Detailed Description

Base class for iImage implementations.

Cannot be instantiated itself.

Definition in file imagebase.h.